{ config, flake, ... }:
let
  widgetsPath = ./widgets;
  widgets = {
    jellyfin = import (widgetsPath + /jellyfin) { inherit config flake; };
    steam = import (widgetsPath + /steam);
    podcasts = import (widgetsPath + /podcasts.nix);
    calendar = import (widgetsPath + /calendar.nix);
    clock = import (widgetsPath + /clock.nix);
    weather = import (widgetsPath + /weather.nix);
  };
in
[
  {
    columns = [
      {
        size = "full";
        widgets = [
          widgets.podcasts
        ];
      }
      {
        size = "small";
        widgets = [
          widgets.jellyfin
          widgets.steam
        ];
      }
      {
        size = "small";
        widgets = [
          widgets.calendar
          widgets.weather
          widgets.clock
        ];
      }
    ];
    name = "Dashboard";
  }
]
